/**
 * @file test_bt.cpp
 * @brief Unit tests for Bluetooth wrapper component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "bt.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_bt_initialize(void)
{
    Bluetooth bt;
    bool result = bt.initialize(BtMode::BLE);
    TEST_ASSERT_TRUE(result);
}

void test_bt_start_advertising(void)
{
    Bluetooth bt;
    bt.initialize(BtMode::BLE);
    
    bool result = bt.startAdvertising();
    TEST_ASSERT_TRUE(result);
}

} // extern "C"

